Bug 194554 - -delay option on convert does not work properly
-delay option on convert does not work properly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-08 20:01 EDT by David Kaplan
Modified: 2008-04-27 13:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-27 13:03:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Kaplan 2006-06-08 20:01:32 EDT
Description of problem:
The option to set the delay between frames when creating an animated gif does
not work properly in the convert command.

For example, I have 3 gif images: test01.gif, test02.gif and test03.gif.  If I
try to make a pair of animated gifs out of them as follows:

convert test??.gif -delay 200 -coalesce anim1.gif
convert test??.gif -delay 1000 -coalesce anim2.gif

The two results are identical and the time between frames is the default - i.e.
it appears that -delay has no effect.  

I tried the same commands on a Redhat 9 machine running
ImageMagick-5.4.7-18.legacy and the operation worked correctly - the delay
between frames was slower and differed between images.

Version-Release number of selected component (if applicable):
ImageMagick-6.2.5.4-4.2.1.fc5.3

How reproducible:
always

Steps to Reproduce:
1.Get a few .gif frames together
2.Try to combine them into an animated gif with different delays using the
-delay option to convert
3.View them in firefox
  
Actual results:
Delay unaffected by settings.

Expected results:
Delay should be according to setting.

Additional info:
Comment 1 Bug Zapper 2008-04-03 23:04:17 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Hans de Goede 2008-04-26 03:36:53 EDT
Short intro: I'm a new co-maintainer of ImageMagick and as such walking through
all open bugs.

I can still reproduce this bug with the current rawhide version of ImageMagick.
I'll send a notice about this upstream.

Comment 3 Hans de Goede 2008-04-27 13:03:56 EDT
Here is upstreams reaction:

--------------------------
> he option to set the delay between frames when creating an animated gif does
> > not work properly

Command line order is important.  The delay option is a setting, not an
operator:

  convert -delay 200 test??.gif -coalesce anim1.gif
  convert -delay 1000 test??.gif -coalesce anim2.gif

See http://www.imagemagick.org/Usage/basics/#why for a discussion on why the
ImageMagick command line style changed from ImageMagick 5 to ImageMagick 6.
------------------------

And I can confirm that using the upstream provided invocation fixes this, closing.

Note You need to log in before you can comment on or make changes to this bug.